/*
 * $Id: DateTableCellRenderer.java,v 1.1 2000/11/20 09:46:16 ahaaf Exp $
 * (c) Copyright 2000 wingS development team.
 *
 * This file is part of the wingS demo (http://wings.mercatis.de).
 *
 * The wingS demo is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Please see COPYING for the complete licence.
 */

package explorer;

import java.util.Date;
import java.util.Locale;
import java.text.DateFormat;

import org.wings.SComponent;
import org.wings.SLabel;
import org.wings.SBaseTable;
import org.wings.STableCellRenderer;

/**
 * TODO: documentation
 *
 * @author Armin Haaf
 * @version $Revision: 1.1 $
 */
public class DateTableCellRenderer extends SLabel 
    implements STableCellRenderer {

    private final DateFormat formatter = 
        DateFormat.getDateTimeInstance(DateFormat.SHORT,
                                       DateFormat.MEDIUM,
                                       Locale.GERMAN);

    /**
     *
     */
    public DateTableCellRenderer() {
    }
  
    public SComponent getTableCellRendererComponent(SBaseTable table,
                                                    Object value,
                                                    boolean isSelected,
                                                    int row,
                                                    int column) {

        if ( value==null ) {
            setText("&nbsp;");
        } else {
            Date d = (Date)value;

            setText(formatter.format(d));
        }

        return this;
    }
} // DateTableCellRenderer


/*
 * Local variables:
 * c-basic-offset: 4
 * indent-tabs-mode: nil
 * End:
 */





